Skip to main content
`Ctrl`+`K`

# PetscShmCommGetMpiShmComm

Returns the MPI communicator that represents all processes with common shared memory

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscShmCommGetMpiShmComm(PetscShmComm pshmcomm, MPI_Comm *comm)

## Input Parameter

- pshmcomm - PetscShmComm object obtained with PetscShmCommGet()

## Output Parameter

- comm - the MPI communicator

## See Also

`PetscShmCommGlobalToLocal()`, `PetscShmCommGet()`, `PetscShmCommLocalToGlobal()`

## Level

developer

## Location

src/sys/utils/mpishm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages